# Class IntNTTBuilder

java.lang.Object
org.apfloat.internal.AbstractNTTBuilder
org.apfloat.internal.IntNTTBuilder

All Implemented Interfaces:
  `NTTBuilder`

Direct Known Subclasses:
  `IntAparapiNTTBuilder`

public class IntNTTBuilder extends AbstractNTTBuilder
Creates Number Theoretic Transforms for the `int` type.

Version:
  1.8.3
Author:
  Mikko Tommila
See Also:
  - `IntTableFNTStrategy`
  - `SixStepFNTStrategy`
  - `TwoPassFNTStrategy`
  - `Factor3NTTStrategy`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IntNTTBuilder()`
  Default constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Factor3NTTStepStrategy`
  `createFactor3NTTSteps()`
  Creates an object for implementing the steps of factor-3 NTT.
  `NTTConvolutionStepStrategy`
  `createNTTConvolutionSteps()`
  Creates an object for implementing the steps of a three-NTT based convolution.
  `NTTStepStrategy`
  `createNTTSteps()`
  Creates an object for implementing the steps of a step-based Number Theoretic Transform.
  `protected NTTStrategy`
  `createSimpleFNTStrategy(long size)`
  Create a simple NTT strategy.

  ### Methods inherited from class AbstractNTTBuilder

  `createFactor3NTTStrategy, createNTT, createSixStepFNTStrategy, createTwoPassFNTStrategy`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IntNTTBuilder

    public IntNTTBuilder()
    Default constructor.

- ## Method Details

  - ### createNTTSteps

    public NTTStepStrategy createNTTSteps()
    Description copied from interface: `NTTBuilder`
    Creates an object for implementing the steps of a step-based Number Theoretic Transform.
    Returns:
      A suitable object for performing the transform steps.

  - ### createNTTConvolutionSteps

    public NTTConvolutionStepStrategy createNTTConvolutionSteps()
    Description copied from interface: `NTTBuilder`
    Creates an object for implementing the steps of a three-NTT based convolution.
    Returns:
      A suitable object for performing the convolution steps.

  - ### createFactor3NTTSteps

    public Factor3NTTStepStrategy createFactor3NTTSteps()
    Description copied from interface: `NTTBuilder`
    Creates an object for implementing the steps of factor-3 NTT.
    Returns:
      A suitable object for performing the factor-3 NTT steps.

  - ### createSimpleFNTStrategy

    protected NTTStrategy createSimpleFNTStrategy(long size)
    Description copied from class: `AbstractNTTBuilder`
    Create a simple NTT strategy.
    Specified by:
      `createSimpleFNTStrategy` in class `AbstractNTTBuilder`
    Parameters:
      `size` - The transform length that will be used.
    Returns:
      A new simple NTT strategy.